//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.NormalizedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * The application of a name (or concept), i.e. the data pertaining to an identification event and the result of the identification itself.
 * 
 * <p>Java class for Identification complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Identification"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Result"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;choice&gt;
 *                     &lt;element name="TaxonIdentified" type="{http://www.tdwg.org/schemas/abcd/3.0}TaxonIdentified" minOccurs="0"/&gt;
 *                     &lt;element name="MaterialIdentified" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *                   &lt;/choice&gt;
 *                   &lt;element name="Extension" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="PreferredFlag" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="NegativeIdentificationFlag" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="StoredUnderFlag" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/&gt;
 *         &lt;element name="ResultRole" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *         &lt;element name="Identifiers" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Identifier" type="{http://www.tdwg.org/schemas/abcd/3.0}Contact" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *                 &lt;attribute name="sequence" type="{http://www.w3.org/2001/XMLSchema}int" /&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="IdentifierRole" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *         &lt;element name="IdentificationSource" type="{http://www.tdwg.org/schemas/abcd/3.0}Reference" minOccurs="0"/&gt;
 *         &lt;element name="References" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Reference" type="{http://www.tdwg.org/schemas/abcd/3.0}Reference" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="Date" type="{http://www.tdwg.org/schemas/abcd/3.0}DateTime" minOccurs="0"/&gt;
 *         &lt;element name="Method" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *         &lt;element name="Notes" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *         &lt;element name="VerificationLevel" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Identification", propOrder = {
    "result",
    "preferredFlag",
    "negativeIdentificationFlag",
    "storedUnderFlag",
    "resultRole",
    "identifiers",
    "identifierRole",
    "identificationSource",
    "references",
    "date",
    "method",
    "notes",
    "verificationLevel"
})
public class Identification {

    @XmlElement(name = "Result", required = true)
    protected Identification.Result result;
    @XmlElement(name = "PreferredFlag")
    protected Boolean preferredFlag;
    @XmlElement(name = "NegativeIdentificationFlag")
    protected Boolean negativeIdentificationFlag;
    @XmlElement(name = "StoredUnderFlag")
    protected Boolean storedUnderFlag;
    @XmlElement(name = "ResultRole")
    protected StringL resultRole;
    @XmlElement(name = "Identifiers")
    protected Identification.Identifiers identifiers;
    @XmlElement(name = "IdentifierRole")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String identifierRole;
    @XmlElement(name = "IdentificationSource")
    protected Reference identificationSource;
    @XmlElement(name = "References")
    protected Identification.References references;
    @XmlElement(name = "Date")
    protected DateTime date;
    @XmlElement(name = "Method")
    protected StringL method;
    @XmlElement(name = "Notes")
    protected StringL notes;
    @XmlElement(name = "VerificationLevel")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String verificationLevel;

    /**
     * Gets the value of the result property.
     * 
     * @return
     *     possible object is
     *     {@link Identification.Result }
     *     
     */
    public Identification.Result getResult() {
        return result;
    }

    /**
     * Sets the value of the result property.
     * 
     * @param value
     *     allowed object is
     *     {@link Identification.Result }
     *     
     */
    public void setResult(Identification.Result value) {
        this.result = value;
    }

    /**
     * Gets the value of the preferredFlag property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isPreferredFlag() {
        return preferredFlag;
    }

    /**
     * Sets the value of the preferredFlag property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setPreferredFlag(Boolean value) {
        this.preferredFlag = value;
    }

    /**
     * Gets the value of the negativeIdentificationFlag property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isNegativeIdentificationFlag() {
        return negativeIdentificationFlag;
    }

    /**
     * Sets the value of the negativeIdentificationFlag property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setNegativeIdentificationFlag(Boolean value) {
        this.negativeIdentificationFlag = value;
    }

    /**
     * Gets the value of the storedUnderFlag property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isStoredUnderFlag() {
        return storedUnderFlag;
    }

    /**
     * Sets the value of the storedUnderFlag property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setStoredUnderFlag(Boolean value) {
        this.storedUnderFlag = value;
    }

    /**
     * Gets the value of the resultRole property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getResultRole() {
        return resultRole;
    }

    /**
     * Sets the value of the resultRole property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setResultRole(StringL value) {
        this.resultRole = value;
    }

    /**
     * Gets the value of the identifiers property.
     * 
     * @return
     *     possible object is
     *     {@link Identification.Identifiers }
     *     
     */
    public Identification.Identifiers getIdentifiers() {
        return identifiers;
    }

    /**
     * Sets the value of the identifiers property.
     * 
     * @param value
     *     allowed object is
     *     {@link Identification.Identifiers }
     *     
     */
    public void setIdentifiers(Identification.Identifiers value) {
        this.identifiers = value;
    }

    /**
     * Gets the value of the identifierRole property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdentifierRole() {
        return identifierRole;
    }

    /**
     * Sets the value of the identifierRole property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdentifierRole(String value) {
        this.identifierRole = value;
    }

    /**
     * Gets the value of the identificationSource property.
     * 
     * @return
     *     possible object is
     *     {@link Reference }
     *     
     */
    public Reference getIdentificationSource() {
        return identificationSource;
    }

    /**
     * Sets the value of the identificationSource property.
     * 
     * @param value
     *     allowed object is
     *     {@link Reference }
     *     
     */
    public void setIdentificationSource(Reference value) {
        this.identificationSource = value;
    }

    /**
     * Gets the value of the references property.
     * 
     * @return
     *     possible object is
     *     {@link Identification.References }
     *     
     */
    public Identification.References getReferences() {
        return references;
    }

    /**
     * Sets the value of the references property.
     * 
     * @param value
     *     allowed object is
     *     {@link Identification.References }
     *     
     */
    public void setReferences(Identification.References value) {
        this.references = value;
    }

    /**
     * Gets the value of the date property.
     * 
     * @return
     *     possible object is
     *     {@link DateTime }
     *     
     */
    public DateTime getDate() {
        return date;
    }

    /**
     * Sets the value of the date property.
     * 
     * @param value
     *     allowed object is
     *     {@link DateTime }
     *     
     */
    public void setDate(DateTime value) {
        this.date = value;
    }

    /**
     * Gets the value of the method property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getMethod() {
        return method;
    }

    /**
     * Sets the value of the method property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setMethod(StringL value) {
        this.method = value;
    }

    /**
     * Gets the value of the notes property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getNotes() {
        return notes;
    }

    /**
     * Sets the value of the notes property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setNotes(StringL value) {
        this.notes = value;
    }

    /**
     * Gets the value of the verificationLevel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVerificationLevel() {
        return verificationLevel;
    }

    /**
     * Sets the value of the verificationLevel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVerificationLevel(String value) {
        this.verificationLevel = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Identifier" type="{http://www.tdwg.org/schemas/abcd/3.0}Contact" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *       &lt;attribute name="sequence" type="{http://www.w3.org/2001/XMLSchema}int" /&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "identifier"
    })
    public static class Identifiers {

        @XmlElement(name = "Identifier", required = true)
        protected List<Contact> identifier;
        @XmlAttribute(name = "sequence")
        protected Integer sequence;

        /**
         * Gets the value of the identifier property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the identifier property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getIdentifier().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Contact }
         * 
         * 
         */
        public List<Contact> getIdentifier() {
            if (identifier == null) {
                identifier = new ArrayList<Contact>();
            }
            return this.identifier;
        }

        /**
         * Gets the value of the sequence property.
         * 
         * @return
         *     possible object is
         *     {@link Integer }
         *     
         */
        public Integer getSequence() {
            return sequence;
        }

        /**
         * Sets the value of the sequence property.
         * 
         * @param value
         *     allowed object is
         *     {@link Integer }
         *     
         */
        public void setSequence(Integer value) {
            this.sequence = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Reference" type="{http://www.tdwg.org/schemas/abcd/3.0}Reference" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "reference"
    })
    public static class References {

        @XmlElement(name = "Reference", required = true)
        protected List<Reference> reference;

        /**
         * Gets the value of the reference property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the reference property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getReference().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Reference }
         * 
         * 
         */
        public List<Reference> getReference() {
            if (reference == null) {
                reference = new ArrayList<Reference>();
            }
            return this.reference;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;choice&gt;
     *           &lt;element name="TaxonIdentified" type="{http://www.tdwg.org/schemas/abcd/3.0}TaxonIdentified" minOccurs="0"/&gt;
     *           &lt;element name="MaterialIdentified" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
     *         &lt;/choice&gt;
     *         &lt;element name="Extension" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "taxonIdentified",
        "materialIdentified",
        "extension"
    })
    public static class Result {

        @XmlElement(name = "TaxonIdentified")
        protected TaxonIdentified taxonIdentified;
        @XmlElement(name = "MaterialIdentified")
        protected StringL materialIdentified;
        @XmlElement(name = "Extension")
        protected Object extension;

        /**
         * Gets the value of the taxonIdentified property.
         * 
         * @return
         *     possible object is
         *     {@link TaxonIdentified }
         *     
         */
        public TaxonIdentified getTaxonIdentified() {
            return taxonIdentified;
        }

        /**
         * Sets the value of the taxonIdentified property.
         * 
         * @param value
         *     allowed object is
         *     {@link TaxonIdentified }
         *     
         */
        public void setTaxonIdentified(TaxonIdentified value) {
            this.taxonIdentified = value;
        }

        /**
         * Gets the value of the materialIdentified property.
         * 
         * @return
         *     possible object is
         *     {@link StringL }
         *     
         */
        public StringL getMaterialIdentified() {
            return materialIdentified;
        }

        /**
         * Sets the value of the materialIdentified property.
         * 
         * @param value
         *     allowed object is
         *     {@link StringL }
         *     
         */
        public void setMaterialIdentified(StringL value) {
            this.materialIdentified = value;
        }

        /**
         * Gets the value of the extension property.
         * 
         * @return
         *     possible object is
         *     {@link Object }
         *     
         */
        public Object getExtension() {
            return extension;
        }

        /**
         * Sets the value of the extension property.
         * 
         * @param value
         *     allowed object is
         *     {@link Object }
         *     
         */
        public void setExtension(Object value) {
            this.extension = value;
        }

    }

}
